Skip to content

Find subscriptions

GET
/customer-relationships/subscription-v2/subscriptions
Required scope: subscription:read

Finds a customer's subscriptions, including those of its duplicate customers and those it receives as a gift.

Parameters ​

Query parameters

page  integer
The page number to retrieve. The first page is 1. Cannot be less than 1.
Default value: 1
pageSize  integer
The size of the pages to retrieve. The default is 10. Cannot be less than 1 and larger than 100.
Default value: 10
customerId  integer
Required
The customer whose subscriptions to find.
includeDuplicates  boolean
Whether to include the subscriptions of the customer's duplicates.
Default value: true
active  enum
Filter by active status.
Enum: ALLACTIVEINACTIVE
Default value: ALL

Response ​

The response contains the found subscriptions.